PDA

View Full Version : Has the Mobility Radeon X700 OpenGL 2.0 driver support?



Peter Sonne
05-31-2005, 08:18 AM
Has the Mobility Radeon X700 OpenGL 2.0 driver support?
Or what Note GFX-cards has it ?

05-31-2005, 12:50 PM
It depends.

The current drivers for the desktop X700 do support OpenGL 2.0 but in the past ATI did not let you install the desktop drivers on mobility chips, you had to install the drivers from the notebook manufacturer which usally use an older codebase.

ATI wanted to unify that but I am unsure if that is already in the current release. So yes the X200, X300, X600,X700 and X800++ do support OpenGL 2.0 but older drivers (or drivers based on a older codebase) may only give you OpenGL 1.5.

Other mobility chips that will fully support OpenGL 2.0 are the ones based on the Nvidia Geforce 6200, 6600 and 6800 chips.

There are some older chips that also may come with the OpenGL 2.0 tag but some functions maybe emulated in software. For example you will hit an software emulation path on Radeon 9700 and 9800 chips when you use mipmaped non-power-of-two textures.

If you want to do some OpenGL 2.0 coding I recommend the Nvidia based chips though, the drivers are way better and ATI's Linux support is close to zero.